/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.document.index.persistence.impl;

import com.topcoder.document.index.persistence.IndexPersistenceException;


/**
 * <p>
 * This is an exception that signals persistence configuration issues when
 * instantiating or initializing persistence instances.
 * </p>
 *
 * @author AleaActaEst, TCSDEVELOPER
 * @version 1.0
 */
public class PersistenceConfigurationException extends IndexPersistenceException {
    /**
     * <p>
     * Creeate the exception instance initialized with the exception message.
     * </p>
     *
     * @param msg exception message
     */
    public PersistenceConfigurationException(String msg) {
        super(msg);
    }

    /**
     * <p>
     * Creeate the exception instance initialized with the exception message and
     * the cause exception instance.
     * </p>
     *
     * @param msg exception message
     * @param cause chained, cause exception
     */
    public PersistenceConfigurationException(String msg, Throwable cause) {
        super(msg, cause);
    }
}
